PHP Manual
Prev |  | Next

# ora_parse

(PHP 3, PHP 4, PHP 5 <= 5.1.0RC1)

ora_parse -- Parse an SQL statement with Oracle

## Description

bool ora_parse ( resource cursor, string sql_statement [, int defer] )

Parses an SQL statement or a PL/SQL block and associates it with the given `cursor`.

## Parameters

`cursor`

  An Oracle cursor, opened with ora_open().

`sql_statement`

  The SQL statement, or PL/SQL block.

`defer`

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## ChangeLog

Version | Description
--- | ---
5.1.0 | The oracle extension is deprecated in favor of oci8.

## Notes

When using oci8 as a replacement for the deprecated oracle extension, consider using:

oci_parse()

## See Also

ora_exec()
ora_fetch()
ora_do()

Prev | Home | Next
ora_open | Up | ora_plogon